[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# multiply(Tmatrix3_single,Tmatrix3_single):Tmatrix3_single

Give product of two three-dimensional single precision matrices

## Declaration

Source position: matrix.pp line 564

`operator operator *(`
`const m1: Tmatrix3_single;`
`const m2: Tmatrix3_single`
`):Tmatrix3_single;`

## Description

This operator allows you to multiply two two-dimensional single precision matrices. A new matrix is returned which is the product of both matrices. The product is calculated using the well known matrix multiplication algorithm.